Subject: Re: Futher clarification needed-- Un-numbered point to point. dou bt

From: "Naidu, Venkata" <[email-masked]>
Date: Thu, 6 Mar 2003 16:24:19 -0500

->   With my knowledge in BSD & Linux OS, I strongly suggest you
->   to enhance the "bind"ing to specify interface index along with
->   IP address

  Let me be more specific here: theoretially, bind system call
  is supposed to be used to figure out the appropriate socket
  for incoming packets (some times it's used to set the
  outgoing packet's source IP address). It is not supposed to
  be used for figuring out the outgoing interace (or bypassing
  the route lookups etc).

  What I meant by "bind"ing is, multicast binding to an interface.
  You can use the existing socket options, IP_ADD_MEMBERSHIP
  (for receive-binding) or IP_MULTICAST_IF (for send-binding) or
  enhance kernel for your own socket option (for example,
  look at IP_RECVIF option open source code written by Bill)

Venkata.

---

From: alok <[email-masked]>
Date: Fri, 7 Mar 2003 11:05:45 +0530

pardon me if this is off topic but i needed to know if someone could help me
here,

imr_addr is the address to which the IP_ADD_MEMBERSHIP is done to use
receive binding...

what i wish to know is that when i use INADDR_ANY as its value, will it bind
to "any/all physical interface" or only "1 interface" which it randomly
chooses? ( i beleive it is different across different unix flavours)

most of the stuff i looked up was from man 7 ip and here:

http://www.cs.unc.edu/~jeffay/dirt/FAQ/comp249-001-F99/mcast-socket.html

the same seems to work on one redhat linux version but not the other....

would appreciate any help..

-rgds
Alok
----- Original Message -----
From: Naidu, Venkata <[email-masked]>
To: <[email-masked]>
Sent: Friday, March 07, 2003 2:54 AM
Subject: Re: Futher clarification needed-- Un-numbered point to point. dou
bt